(provide 'txpath)

(module txpath
  (sxml:core-last
   sxml:core-position
   sxml:core-count
   sxml:core-id
   sxml:core-local-name
   sxml:core-namespace-uri
   sxml:core-name
   sxml:core-string
   sxml:core-concat
   sxml:core-starts-with
   sxml:core-contains
   sxml:core-substring-before
   sxml:core-substring-after
   sxml:core-substring
   sxml:core-string-length
   sxml:core-normalize-space
   sxml:core-translate
   sxml:core-boolean
   sxml:core-not
   sxml:core-true
   sxml:core-false
   sxml:core-lang
   sxml:core-number
   sxml:core-sum
   sxml:core-floor
   sxml:core-ceiling
   sxml:core-round
   sxml:classic-params
   sxml:xpath
   sxml:xpointer
   sxml:xpath-expr
   sxml:xpath+index
   sxml:xpath+root
   sxml:xpath+root+vars
   sxml:xpointer+index
   sxml:xpointer+root+vars
   txpath)

(import chicken scheme (only data-structures string-split)
        (only srfi-1 filter) (only srfi-13 string-prefix-ci? string-contains))

(require-extension sxpath-lolevel)

(define (substring? pattern str) (string-contains str pattern))

(include "chicken/common.scm")

(include "sxml-tools/xpath-parser.scm")
(include "sxml-tools/txpath.scm")
)